﻿

namespace ViewModels
{
    /// <summary>
    /// TODO: Update summary.
    /// </summary>
    public class ParameterViewModel : ViewModelBase.ViewModelBase
    {
        /// <summary>
        /// The parameter name.
        /// </summary>
        private string _patameterName;

        /// <summary>
        /// The parameter value.
        /// </summary>
        private int _value;

        /// <summary>
        /// Initializes a new instance of the <see cref="ParameterViewModel"/> class.
        /// </summary>
        public ParameterViewModel()
        {
        }

        /// <summary>
        /// Gets or sets the name of the parameter.
        /// </summary>
        /// <value>The name of the parameter.</value>
        public string ParameterName
        {
            get
            {
                return _patameterName;
            }

            set
            {
                _patameterName = value;
                OnPropertyChanged("ParameterName");
            }
        }

        /// <summary>
        /// Gets or sets the value.
        /// </summary>
        /// <value>The value.</value>
        public int Value
        {
            get
            {
                return _value;
            }

            set
            {
                _value = value;
                OnPropertyChanged("Value");
            }
        }

        private bool _isEnabled;
        public bool IsEnabled
        {
            get
            {
                return _isEnabled;
            }

            set
            {
                _isEnabled = value;
                OnPropertyChanged("IsEnabled");
            }
        }
    }
}
