﻿using System.Collections;

using CustomControlForXamDataGrid.ViewModel;

using Infragistics.Windows.DataPresenter;

namespace CustomControlForXamDataGrid
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="MainWindow"/> class.
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Handles the Loaded event of the Window control.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.Windows.RoutedEventArgs"/> instance containing the event data.</param>
        private void Window_Loaded(object sender, System.Windows.RoutedEventArgs e)
        {
            DataContext = new MainWindowViewModel();
        }

        private void Button_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            FieldChooser channelsChooser = ChannelsChooser;
            int i = 0;
            foreach (var fieldChooserEntry in channelsChooser.CurrentFields)
            {
                if (i > 10)
                {
                    return;
                }

                fieldChooserEntry.IsVisible = !fieldChooserEntry.IsVisible;
                i++;
            }
        }
    }
}
